Subject: RE: draft-ietf-ipv6-node-requirements-03.txt

From: "Bound, Jim" <[email-masked]>
Date: Tue, 11 Mar 2003 07:34:37 -0500

I like Brian's suggestion folks.
/jim

> -----Original Message-----
> From: Brian E Carpenter [mailto:[email-masked]] 
> Sent: Tuesday, March 11, 2003 5:29 AM
> To: Bound, Jim
> Cc: Pekka Savola; IPV6 WG
> Subject: Re: draft-ietf-ipv6-node-requirements-03.txt
> 
> 
> "Bound, Jim" wrote:
> 
> much deleted...
> ...
> > My issue is about stateless and stateful being required features 
> > within IPv6 for auto configuration.  Both are needed and both are 
> > required.
> 
> I hope we all agree on this, using lower case. I think we 
> have a genuine problem here in they way RFC 2119 defines 
> SHOULD - it makes it very strong indeed, maybe a bit too 
> strong for this case, whereas MAY is clearly too weak. Maybe 
> indeed we need to qualify the SHOULD, e.g. 
> 
> Stateful Address Autoconfiguration SHOULD be supported, unless all 
> possible use cases for the specific implementation concerned 
> are clearly satisfied by Stateless Address Autoconfiguration.
> 
>    Brian
> 

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------